<template>
  <div class="gallery-item">
    <h4 class="content-name">{{ content.name }}</h4>
    <router-link
      class="content-image"
      :to="{ name: 'content-details', params: { id: content._id } }"
    >
      <img :src="large ? content.src : content.thumbnail" />
    </router-link>
    <p class="content-meta">
      Posted by {{ content.owner.name }} on
      {{ new Date(content.createdAt).toLocaleString() }}
    </p>
  </div>
</template>

<script>
export default {
  props: {
    content: {
      type: Object,
      required: true
    },
    large: {
      type: Boolean,
      default: false
    }
  }
};
</script>
